/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserLoggedInHistory.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class UserLoggedInHistory extends FieldAccessor implements HistoryDataInfo<UserLoggedInHistoryKey>
{
	private UserLoggedInHistoryKey	key;
	private String					workStationName;
	private Timestamp				loggedOutTime;
	private String loggedInUiVersion;
	private String deamon;
	public UserLoggedInHistory()
	{
	}

	public UserLoggedInHistoryKey getKey()
	{
		return key;
	}

	public void setKey(UserLoggedInHistoryKey key)
	{
		this.key = key;
	}

	public String getWorkStationName()
	{
		return workStationName;
	}

	public void setWorkStationName(String workStationName)
	{
		this.workStationName = workStationName;
	}

	public Timestamp getLoggedOutTime()
	{
		return loggedOutTime;
	}

	public void setLoggedOutTime(Timestamp loggedOutTime)
	{
		this.loggedOutTime = loggedOutTime;
	}

	public void setLoggedInUiVersion(String loggedInUiVersion) {
		this.loggedInUiVersion = loggedInUiVersion;
	}

	public String getLoggedInUiVersion() {
		return loggedInUiVersion;
	}

	public void setDeamon(String deamon) {
		this.deamon = deamon;
	}

	public String getDeamon() {
		return deamon;
	}
}
